<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: controller_pid/pid_controller.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_80cb61180a2aa844c9344ada03916d41.html">controller_pid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">pid_controller.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="pid__controller_8h_source.html">pid_controller.h</a>&quot;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;math.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for pid_controller.c:</div>
<div class="dyncontent">
<div class="center"><img src="pid__controller_8c__incl.png" border="0" usemap="#controller__pid_2pid__controller_8c" alt=""/></div>
<map name="controller__pid_2pid__controller_8c" id="controller__pid_2pid__controller_8c">
<area shape="rect" id="node2" href="pid__controller_8h.html" title="pid_controller.h" alt="" coords="5,95,116,121"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a037cec7ec9c7aadfcb9274df135f75d0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pid__controller_8h.html#afaf1b99e536ac31c4217a4e5e4dc1bef">PID_CONTROLLER_SPEC</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pid__controller_8c.html#a037cec7ec9c7aadfcb9274df135f75d0">pid_init</a> (<a class="el" href="structpid__t.html">pid_t</a> *pid, float kp, float ki, float kd, float min_output_limit, float max_output_limit, float acceptable_error)</td></tr>
<tr class="separator:a037cec7ec9c7aadfcb9274df135f75d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabd48cceaa1e175ce62c4297dd97c39e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pid__controller_8h.html#afaf1b99e536ac31c4217a4e5e4dc1bef">PID_CONTROLLER_SPEC</a> void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pid__controller_8c.html#aabd48cceaa1e175ce62c4297dd97c39e">pid_set_point</a> (<a class="el" href="structpid__t.html">pid_t</a> *pid, float set_point)</td></tr>
<tr class="separator:aabd48cceaa1e175ce62c4297dd97c39e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a313213ef0bfa85b113916dab2e55f831"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pid__controller_8h.html#afaf1b99e536ac31c4217a4e5e4dc1bef">PID_CONTROLLER_SPEC</a> float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="pid__controller_8c.html#a313213ef0bfa85b113916dab2e55f831">pid_process</a> (<a class="el" href="structpid__t.html">pid_t</a> *pid, float measured_process_value, float dt)</td></tr>
<tr class="separator:a313213ef0bfa85b113916dab2e55f831"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a037cec7ec9c7aadfcb9274df135f75d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a037cec7ec9c7aadfcb9274df135f75d0">&#9670;&nbsp;</a></span>pid_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pid__controller_8h.html#afaf1b99e536ac31c4217a4e5e4dc1bef">PID_CONTROLLER_SPEC</a> void pid_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpid__t.html">pid_t</a> *&#160;</td>
          <td class="paramname"><em>pid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>kp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ki</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>kd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>min_output_limit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>max_output_limit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>acceptable_error</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a313213ef0bfa85b113916dab2e55f831"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a313213ef0bfa85b113916dab2e55f831">&#9670;&nbsp;</a></span>pid_process()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pid__controller_8h.html#afaf1b99e536ac31c4217a4e5e4dc1bef">PID_CONTROLLER_SPEC</a> float pid_process </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpid__t.html">pid_t</a> *&#160;</td>
          <td class="paramname"><em>pid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>measured_process_value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aabd48cceaa1e175ce62c4297dd97c39e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabd48cceaa1e175ce62c4297dd97c39e">&#9670;&nbsp;</a></span>pid_set_point()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pid__controller_8h.html#afaf1b99e536ac31c4217a4e5e4dc1bef">PID_CONTROLLER_SPEC</a> void pid_set_point </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpid__t.html">pid_t</a> *&#160;</td>
          <td class="paramname"><em>pid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>set_point</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
